MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001263ardourfeaturespublic2006-09-25 14:432010-08-29 12:16
Reporteroofus 
Assigned Tooofus 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0001263: Support for more bit depths
DescriptionAdd support for bit depths other than 32bit float and 24 bit signed int i.e 20 and 16 bit signed int
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002595)
taybin (administrator)
2006-11-02 16:11

16 bit should be possible. I don't think libsndfile supports 20 bit. Why would you want that?
(0002598)
obligog (reporter)
2006-11-02 16:36

Would want 20 bit to have all the options. Also, clients ask for material to be delivered in various formats, even if they don't understand what they are asking for. And if clients ask, clients get!!

But if libsndfile doesn't support it, it's not the end of the world.
(0003116)
paul (administrator)
2007-01-27 10:10

are you talking about native files, or exports ?
(0003119)
oofus (developer)
2007-01-27 10:54

Native files. I'd like the option to be able to record at these bit depths.
(0008846)
oofus (developer)
2010-08-16 14:21

Maybe 20bit is just not common enough, 16bit aught to be an option though.
(0008871)
cth103 (administrator)
2010-08-20 17:29

16 bit is now supported in Ardour. libsndfile does not support 20 bit files, so it would be a fair amount of work. I'll bump this to 3.X for that reason.
(0008943)
oofus (developer)
2010-08-29 12:16

See notes
(0008944)
oofus (developer)
2010-08-29 12:16

See notes

- Issue History
Date Modified Username Field Change
2006-09-25 14:43 obligog New Issue
2006-09-25 14:43 obligog email => chris@oofus.demon.co.uk
2006-09-25 14:43 obligog name => Chris
2006-11-02 16:11 taybin Note Added: 0002595
2006-11-02 16:11 taybin Status new => feedback
2006-11-02 16:36 obligog Note Added: 0002598
2007-01-26 04:53 oofus Reporter obligog => oofus
2007-01-27 10:10 paul Note Added: 0003116
2007-01-27 10:54 oofus Note Added: 0003119
2009-07-03 22:20 seablade Status feedback => acknowledged
2009-07-03 22:20 seablade OS Fedora =>
2009-07-03 22:20 seablade OS Version FC5 ccrma =>
2009-07-03 22:20 seablade Platform K7 =>
2009-07-03 22:20 seablade Build SVN 924 =>
2009-07-03 22:20 seablade Steps to Reproduce Updated
2010-08-16 14:21 oofus Note Added: 0008846
2010-08-16 14:27 oofus cost => 0.00
2010-08-16 14:27 oofus Target Version => 3.0-beta1
2010-08-20 17:29 cth103 Note Added: 0008871
2010-08-20 17:29 cth103 Target Version 3.0-beta1 => 3.X
2010-08-29 12:16 oofus Note Added: 0008943
2010-08-29 12:16 oofus Status acknowledged => resolved
2010-08-29 12:16 oofus Resolution open => fixed
2010-08-29 12:16 oofus Assigned To => oofus
2010-08-29 12:16 oofus Note Added: 0008944
2010-08-29 12:16 oofus Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker